Subject: Re: bug#49954: 28.0.50; TRAMP: cannot kill child processes: "Forbidden reentrant call of Tramp"

From: Michael Albinus <[email-masked]>
Date: Thu, 16 Sep 2021 17:45:38 +0200

Dima Kogan <[email-masked]> writes:

Hi Dima,

> I paid more attention to my usage patterns recently. I often have
> multiple remote M-x shell buffers going at the same time, using the same
> TRAMP connection. One shell might be running a long job, writing stuff
> to the console, while I use another shell to do stuff. Could this usage
> trigger the race condition you're talking about? If so, setting up an
> experiment to try to reproduce the breakage wouldn't be too hard.

I have not the problem to reproduce the bug,
tramp-test44-asynchronous-requests of tramp-tests.el is good enough.

My problem is to find a solution. I'm thinking about using threads, but
there are some hairy details I need to solve first.

Best regards, Michael.